org.apache.ignite.internal.processors.diagnostic

## Enum DiagnosticProcessor.DiagnosticFileWriteMode

- java.lang.Object
- - java.lang.Enum<DiagnosticProcessor.DiagnosticFileWriteMode>
  - - org.apache.ignite.internal.processors.diagnostic.DiagnosticProcessor.DiagnosticFileWriteMode

All Implemented Interfaces:
  Serializable, Comparable<DiagnosticProcessor.DiagnosticFileWriteMode>

Enclosing class:
  DiagnosticProcessor

    public static enum DiagnosticProcessor.DiagnosticFileWriteMode
    extends Enum<DiagnosticProcessor.DiagnosticFileWriteMode>

Mode of diagnostic dump file.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`HUMAN_READABLE` Use humanly readable data representation.
`RAW` Use raw data format.

### Method Summary

All Methods Static Methods Concrete Methods
`static DiagnosticProcessor.DiagnosticFileWriteMode` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static DiagnosticProcessor.DiagnosticFileWriteMode[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### HUMAN_READABLE

    public static final DiagnosticProcessor.DiagnosticFileWriteMode HUMAN_READABLE

Use humanly readable data representation.

#### RAW

    public static final DiagnosticProcessor.DiagnosticFileWriteMode RAW

Use raw data format.

### Method Detail

#### values

    public static DiagnosticProcessor.DiagnosticFileWriteMode[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (DiagnosticProcessor.DiagnosticFileWriteMode c : DiagnosticProcessor.DiagnosticFileWriteMode.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static DiagnosticProcessor.DiagnosticFileWriteMode valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.1
Release Date | : December 9 2020